/* ==============================> WhatsApp Flotante */

/* ANIMACIONES */

@keyframes pulso-wsp-footer {
    0% {
        transform: scale(0.95);
        box-shadow: 0 0 0 0 rgb(37, 211, 102, 0.7);
    }

    70% {
        transform: scale(1);
        box-shadow: 0 0 0 12px rgba(37, 211, 102, 0);
    }

    100% {
        transform: scale(0.95);
        box-shadow: 0 0 0 0 rgba(37, 211, 102, 0);
    }
}

/* BOTON WHATSAPP FLOTANTE */

.boton-wsp-izquierdo {
    position: fixed;
    bottom: 36px;
    left: 36px;
    z-index: 1000;
    padding: 8px;
    background: #25d366;
    width: 65px;
    height: 65px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50px;
    color: #fff;
    font-size: 32px;
    animation: pulso-wsp-footer 1.6s infinite;
    transition: .4s all ease-in-out;
}

.boton-wsp-izquierdo:hover {
    color: #fff;
    background: #128c7e;
}

/* ==============================> WhatsApp de Ficha de Producto */

.btn-wsp-product {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    background-color: #25D366;
    color: white;
    padding: 10px 15px;
    border-radius: var(--btn-accented-brd-radius);
    text-decoration: none;
    text-transform: uppercase;
    font-size: 13px;
    font-weight: 600;
    vertical-align: middle;
    transition: background 0.3s;
    height: auto;
    max-width: fit-content;
}

.btn-wsp-product:hover {
    background-color: #128C7E;
    color: white;
}

.btn-wsp-product i {
    margin-right: 5px;
    font-size: 16px;
}